DBUSXX-XML2CPP(1)

NAME
dbusxx-xml2cpp - generate proxy and adapter interfaces.

SYNOPSIS
dbusxx-xml2cpp [xmlfile] [--proxy=outfile.h] [--adaptor=outfile.h]

DESCRIPTION
dbusxx-xml2cpp generates proxy and adapter interfaces from modified D-Bus XML introspection documents.

OPTIONS

--proxy=outfile.h
    Generate a proxy interface to outfile.h.

--adapter=outfile.h
    Generate an adapter interface to outfile.h.

SEE ALSO

dbusxx-introspection(1)

AUTHOR

This manual page was written by Vincent Cheng <vcheng@debian.org>, for the Debian project (and may be used by others).